Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0030275
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Retail Modules] Web POSminoralways2015-06-12 13:252015-07-28 13:32
ReporterOrekariaView Statuspublic 
Assigned ToOrekaria 
PrioritynormalResolutionfixedFixed in VersionRR15Q2.3
StatusclosedFix in branchFixed in SCM revision0e02c70adc7f
ProjectionnoneETAnoneTarget VersionRR15Q2.3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned Toguilleaer
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0030275: Backspace key stroke is not deleting the last character when the 'Use Extrernal Input' is active

DescriptionBackspace key stroke is not deleting the last character when the 'Use Extrernal Input' is active

Although the standard browser behavior for the backspace key stroke is to navigate back, the user expects the backspace to delete the last character instead
Steps To ReproduceIn the ERP
In the POS terminal type of a terminal
Activate the Use External Input

In the WebPOS
Add a product
Tap in the line
In the Edit, write 12345678

Verify that pressing the backspace in the physical keyboard of the computer, provokes the browser to navigate back
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0030168 closedmarvintm Backspace key stroke is not deleting the last character when the 'Use Extrernal Input' is active 

-  Notes
(0078818)
hgbot (developer)
2015-07-15 16:27

Repository: retail/backports/3.0RR15Q2.3/org.openbravo.mobile.core
Changeset: 0e02c70adc7f91889b1637eb57f9b4449f6652b4
Author: Antonio Moreno <antonio.moreno <at> openbravo.com>
Date: Wed Jul 15 16:27:09 2015 +0200
URL: http://code.openbravo.com/retail/backports/3.0RR15Q2.3/org.openbravo.mobile.core/rev/0e02c70adc7f91889b1637eb57f9b4449f6652b4 [^]

Fixed issue 30275. Backspace key will no longer navigate to previous URL

---
M web/org.openbravo.mobile.core/source/component/ob-terminal-component.js
---
(0079096)
guilleaer (developer)
2015-07-28 13:32

tested and verified

- Issue History
Date Modified Username Field Change
2015-06-29 13:31 marvintm Type defect => backport
2015-06-29 13:31 marvintm Target Version => RR15Q2.3
2015-07-15 16:27 hgbot Checkin
2015-07-15 16:27 hgbot Note Added: 0078818
2015-07-15 16:27 hgbot Status scheduled => resolved
2015-07-15 16:27 hgbot Fixed in SCM revision http://code.openbravo.com/erp/pmods/org.openbravo.mobile.core/rev/be992e7be3689c7607f1a1e686575beb38778c40 [^] => http://code.openbravo.com/retail/backports/3.0RR15Q2.3/org.openbravo.mobile.core/rev/0e02c70adc7f91889b1637eb57f9b4449f6652b4 [^]
2015-07-28 13:32 guilleaer Review Assigned To => guilleaer
2015-07-28 13:32 guilleaer Note Added: 0079096
2015-07-28 13:32 guilleaer Status resolved => closed
2015-07-28 13:32 guilleaer Fixed in Version => RR15Q2.3


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker